| IOLink Python 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Properties | List of all members
iolink.iolink.Serialization Class Reference
Inheritance diagram for iolink.iolink.Serialization:

## Public Member Functions
| __init__ (self, *args, **kwargs)

## Static Public Member Functions
| encode_image_view (image, outStream)
| decode_image_view (inStream)
| encode_arrayxi8 (src, dst)
| encode_arrayxi16 (src, dst)
| encode_arrayxi32 (src, dst)
| encode_arrayxi64 (src, dst)
| encode_arrayxu8 (src, dst)
| encode_arrayxu16 (src, dst)
| encode_arrayxu32 (src, dst)
| encode_arrayxu64 (src, dst)
| encode_arrayxf (src, dst)
| encode_arrayxd (src, dst)
| decode_arrayxi8 (src)
| decode_arrayxi16 (src)
| decode_arrayxi32 (src)
| decode_arrayxi64 (src)
| decode_arrayxu8 (src)
| decode_arrayxu16 (src)
| decode_arrayxu32 (src)
| decode_arrayxu64 (src)
| decode_arrayxf (src)
| decode_arrayxd (src)
| encode_vector_2u8 (vect, outStream)
| encode_vector_2u_16 (vect, outStream)
| encode_vector_2u_32 (vect, outStream)
| encode_vector_2u_64 (vect, outStream)
| encode_vector_2i8 (vect, outStream)
| encode_vector_2i_16 (vect, outStream)
| encode_vector_2i_32 (vect, outStream)
| encode_vector_2i_64 (vect, outStream)
| encode_vector_2f (vect, outStream)
| encode_vector_2d (vect, outStream)
| decode_vector_2u8 (inStream)
| decode_vector_2u_16 (inStream)
| decode_vector_2u_32 (inStream)
| decode_vector_2u_64 (inStream)
| decode_vector_2i8 (inStream)
| decode_vector_2i_16 (inStream)
| decode_vector_2i_32 (inStream)
| decode_vector_2i_64 (inStream)
| decode_vector_2f (inStream)
| decode_vector_2d (inStream)
| encode_vector_3u8 (vect, outStream)
| encode_vector_3u_16 (vect, outStream)
| encode_vector_3u_32 (vect, outStream)
| encode_vector_3u_64 (vect, outStream)
| encode_vector_3i8 (vect, outStream)
| encode_vector_3i_16 (vect, outStream)
| encode_vector_3i_32 (vect, outStream)
| encode_vector_3i_64 (vect, outStream)
| encode_vector_3f (vect, outStream)
| encode_vector_3d (vect, outStream)
| decode_vector_3u8 (inStream)
| decode_vector_3u_16 (inStream)
| decode_vector_3u_32 (inStream)
| decode_vector_3u_64 (inStream)
| decode_vector_3i8 (inStream)
| decode_vector_3i_16 (inStream)
| decode_vector_3i_32 (inStream)
| decode_vector_3i_64 (inStream)
| decode_vector_3f (inStream)
| decode_vector_3d (inStream)
| encode_vector_4u8 (vect, outStream)
| encode_vector_4u_16 (vect, outStream)
| encode_vector_4u_32 (vect, outStream)
| encode_vector_4u_64 (vect, outStream)
| encode_vector_4i8 (vect, outStream)
| encode_vector_4i_16 (vect, outStream)
| encode_vector_4i_32 (vect, outStream)
| encode_vector_4i_64 (vect, outStream)
| encode_vector_4f (vect, outStream)
| encode_vector_4d (vect, outStream)
| decode_vector_4u8 (inStream)
| decode_vector_4u_16 (inStream)
| decode_vector_4u_32 (inStream)
| decode_vector_4u_64 (inStream)
| decode_vector_4i8 (inStream)
| decode_vector_4i_16 (inStream)
| decode_vector_4i_32 (inStream)
| decode_vector_4i_64 (inStream)
| decode_vector_4f (inStream)
| decode_vector_4d (inStream)
| encode_vector_xu8 (vect, outStream)
| encode_vector_xu_16 (vect, outStream)
| encode_vector_xu_32 (vect, outStream)
| encode_vector_xu_64 (vect, outStream)
| encode_vector_xi8 (vect, outStream)
| encode_vector_xi_16 (vect, outStream)
| encode_vector_xi_32 (vect, outStream)
| encode_vector_xi_64 (vect, outStream)
| encode_vector_xf (vect, outStream)
| encode_vector_xd (vect, outStream)
| decode_vector_xu8 (inStream)
| decode_vector_xu_16 (inStream)
| decode_vector_xu_32 (inStream)
| decode_vector_xu_64 (inStream)
| decode_vector_xi8 (inStream)
| decode_vector_xi_16 (inStream)
| decode_vector_xi_32 (inStream)
| decode_vector_xi_64 (inStream)
| decode_vector_xf (inStream)
| decode_vector_xd (inStream)
| encode_data_frame_view (dataFrame, outStream)
| decode_data_frame_view (inStream)
| encode_matrix_3f (mat, outStream)
| encode_matrix_4f (mat, outStream)
| encode_matrix_3d (mat, outStream)
| encode_matrix_4d (mat, outStream)
| decode_matrix_3f (inStream)
| decode_matrix_4f (inStream)
| decode_matrix_3d (inStream)
| decode_matrix_4d (inStream)

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")

## Detailed Description

    Serialization class which provides methods to serialize and
    unserialize most of IOLink objects.

## Member Function Documentation

## ◆ decode_arrayxi8()

iolink.iolink.Serialization.decode_arrayxi8 | ( |  | src | ) |
| static

        Decode an array from a stream.

        :type src: :py:class:`StreamAccess`
        :param src: The stream to decode from.

        :rtype: :py:class:`ArrayXi8`
        :return: The decoded array.

## ◆ decode_data_frame_view()

iolink.iolink.Serialization.decode_data_frame_view | ( |  | inStream | ) |
| static

        Factory to unserialize a DataFrameView from a stream.
        :type inStream: :py:class:`StreamAccess`
        :param inStream: Stream from where data is read
        :rtype: :py:class:`DataFrameView`
        :return: a in-memory DataFrameView built from input Stream
        :raises: Error if IOLink version read from stream is not compatible with current version
        :raises: Error if read magic number is invalid
        :raises: Error if object to decode is not a DataFrameView
        :raises: Error if decoding issue (synchronization tag not found)

## ◆ decode_image_view()

iolink.iolink.Serialization.decode_image_view | ( |  | inStream | ) |
| static

        Factory to unserialize an ImageView from a stream.
        :type inStream: :py:class:`StreamAccess`
        :param inStream: Stream from where data is read
        :rtype: :py:class:`ImageView`
        :return: a in-memory ImageView built from input Stream
        :raises: Error if IOLink version read from stream is not compatible with current version
        :raises: Error if read magic number is invalid
        :raises: Error if object to decode is not an ImageView
        :raises: Error if decoding issue (synchronization tag not found)

## ◆ decode_matrix_3f()

iolink.iolink.Serialization.decode_matrix_3f | ( |  | inStream | ) |
| static

        Factory to unserialize a Matrix from a stream.
        :type inStream: :py:class:`StreamAccess`
        :param inStream: Stream from where data is read
        :rtype: :py:class:`Matrix3f`
        :return: a Matrix built from input Stream
        :raises: Error if IOLink version read from stream is not compatible with current version
        :raises: Error if read magic number is invalid
        :raises: Error if object to decode is not a Matrix
        :raises: Error if data type or dimension read from stream is not compatible with requested matrix type

## ◆ decode_vector_2u8()

iolink.iolink.Serialization.decode_vector_2u8 | ( |  | inStream | ) |
| static

        Factory to unserialize a Vector2 from a stream.
        :type inStream: :py:class:`StreamAccess`
        :param inStream: Stream from where data is read
        :rtype: :py:class:`Vector2u8`
        :return: a Vector2 built from input Stream
        :raises: Error if IOLink version read from stream is not compatible with current version
        :raises: Error if read magic number is invalid
        :raises: Error if object to decode is not a Vector
        :raises: Error if data type read from stream is not compatible with requested vector type

## ◆ decode_vector_3u8()

iolink.iolink.Serialization.decode_vector_3u8 | ( |  | inStream | ) |
| static

        Method to load a Vector3 which has been serialized into a stream.
        :type inStream: :py:class:`StreamAccess`
        :param inStream: Stream from where data is read
        :rtype: :py:class:`Vector3u8`
        :return: a Vector3 built from input Stream
        :raises: Error if IOLink version read from stream is not compatible with current version
        :raises: Error if read magic number is invalid
        :raises: Error if object to decode is not a Vector
        :raises: Error if data type read from stream is not compatible with requested vector type

## ◆ decode_vector_4u8()

iolink.iolink.Serialization.decode_vector_4u8 | ( |  | inStream | ) |
| static

        Factory to unserialize a Vector4 from a stream.
        :type inStream: :py:class:`StreamAccess`
        :param inStream: Stream from where data is read
        :rtype: :py:class:`Vector4u8`
        :return: a Vector4 built from input Stream
        :raises: Error if IOLink version read from stream is not compatible with current version
        :raises: Error if read magic number is invalid
        :raises: Error if object to decode is not a Vector
        :raises: Error if data type read from stream is not compatible with requested vector type

## ◆ decode_vector_xu8()

iolink.iolink.Serialization.decode_vector_xu8 | ( |  | inStream | ) |
| static

        Factory to unserialize a VectorX from a stream.
        :type inStream: :py:class:`StreamAccess`
        :param inStream: Stream from where data is read
        :rtype: :py:class:`VectorXu8`
        :return: a VectorX built from input Stream
        :raises: Error if IOLink version read from stream is not compatible with current version
        :raises: Error if read magic number is invalid
        :raises: Error if object to decode is not a Vector
        :raises: Error if data type read from stream is not compatible with requested vector type

## ◆ encode_arrayxi8()

iolink.iolink.Serialization.encode_arrayxi8 | ( |  | src,
|  |  | dst
| ) |  |
| static

        Serialize an Array into a stream.

        :type src: :py:class:`ArrayXi8`
        :param src: The array to encode.
        :type dst: :py:class:`StreamAccess`
        :param dst: The stream where the encoded data is written.

## ◆ encode_data_frame_view()

iolink.iolink.Serialization.encode_data_frame_view | ( |  | dataFrame,
|  |  | outStream
| ) |  |
| static

        Factory to serialize a DataFrameView into a stream.
        :type dataFrame: :py:class:`DataFrameView`
        :param dataFrame: DataFrameView to serialize
        :type outStream: :py:class:`StreamAccess`
        :param outStream: Stream where data is written
        :raises: Error if DataFrameView has not READ capacity

## ◆ encode_image_view()

iolink.iolink.Serialization.encode_image_view | ( |  | image,
|  |  | outStream
| ) |  |
| static

        Factory to serialize an ImageView into a stream.
        :type image: :py:class:`ImageView`
        :param image: ImageView to serialize
        :type outStream: :py:class:`StreamAccess`
        :param outStream: Stream where data is written
        :raises: Error if ImageView has not READ capacity

## ◆ encode_matrix_3f()

iolink.iolink.Serialization.encode_matrix_3f | ( |  | mat,
|  |  | outStream
| ) |  |
| static

        Factory to serialize a Matrix into a stream.
        :type mat: :py:class:`Matrix3f`
        :param mat: Matrix to serialize
        :type outStream: :py:class:`StreamAccess`
        :param outStream: Stream where data is written

## ◆ encode_vector_2u8()

iolink.iolink.Serialization.encode_vector_2u8 | ( |  | vect,
|  |  | outStream
| ) |  |
| static

        Factory to serialize a Vector2 into a stream.
        :type vect: :py:class:`Vector2u8`
        :param vect: Vector2 to serialize
        :type outStream: :py:class:`StreamAccess`
        :param outStream: Stream where data is written

## ◆ encode_vector_3u8()

iolink.iolink.Serialization.encode_vector_3u8 | ( |  | vect,
|  |  | outStream
| ) |  |
| static

        Factory to serialize a Vector3 into a stream.
        :type vect: :py:class:`Vector3u8`
        :param vect: Vector3 to serialize
        :type outStream: :py:class:`StreamAccess`
        :param outStream: Stream where data is written

## ◆ encode_vector_4u8()

iolink.iolink.Serialization.encode_vector_4u8 | ( |  | vect,
|  |  | outStream
| ) |  |
| static

        Factory to serialize a Vector4 into a stream.
        :type vect: :py:class:`Vector4u8`
        :param vect: Vector4 to serialize
        :type outStream: :py:class:`StreamAccess`
        :param outStream: Stream where data is written

## ◆ encode_vector_xu8()

iolink.iolink.Serialization.encode_vector_xu8 | ( |  | vect,
|  |  | outStream
| ) |  |
| static

        Factory to serialize a VectorX into a stream.
        :type vect: :py:class:`VectorXu8`
        :param vect: VectorX to serialize
        :type outStream: :py:class:`StreamAccess`
        :param outStream: Stream where data is written

The documentation for this class was generated from the following file:

- Release/python/iolink/iolink.py